%define FCLIPDIR %_libdir/clip
%define VCLIPDIR %_localstatedir/clip
%define oname ocmng

Name: libclip-%oname
Version: 20060903
Release: alt1

Summary: XBASE/Clipper compatible program compiler - ocmng 
Summary(ru_RU.KOI8-R): XBASE/Clipper   - ocmng

License: GPL
Group: Development/Other
Url: http://eas.lrn.ru/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://eas.lrn.ru/src/%oname-%version.tar.bz2
#Patch: %name-%version-install.patch

# Automatically added by buildreq on Tue Jan 23 2007
BuildRequires: clip libclip-gtk2 libgpm-devel

Provides: clip-%oname
Obsoletes: clip-%oname

%description
This package includes some programs for clip compiler - ocmng.

%description -l ru_RU.KOI8-R
       CLIP - ocmng.

%prep
%setup -q -n %oname

%build
%__mkdir -p %buildroot%FCLIPDIR/locale.{pot,po,mo}
export CLIP_LOCALE_ROOT=`pwd`
make CLIPROOT=%FCLIPDIR

%install
%__mkdir -p %buildroot%FCLIPDIR/bin
make install DESTDIR=%buildroot CLIPROOT=%FCLIPDIR

# fix broken installer in source
#mkdir -p %buildroot%_docdir
#mv %buildroot%FCLIPDIR/doc %buildroot%_docdir/%name-%version

# move locale from read only usr dir to /var/lib
#mkdir -p %buildroot%VCLIPDIR
#mv %buildroot%FCLIPDIR/locale* %buildroot%VCLIPDIR

%files
%FCLIPDIR/bin/*
#%attr(0664, root, clip) %VCLIPDIR/locale.po/*

%changelog
* Tue Jan 23 2007 Vitaly Lipatov <lav@altlinux.ru> 20060903-alt1
- rename to libclip-ocmng
- rebuild with libclip-gtk2

* Sat Nov 18 2006 Vitaly Lipatov <lav@altlinux.ru> 20060903-alt0.1
- new version (20060903)

* Wed Sep 13 2006 Vitaly Lipatov <lav@altlinux.ru> 20060621-alt0.1
- initial build for Sisyphus
